<?php 
add_action( 'customize_register', 'takecare_customize_register_custom_controls', 9 );
function takecare_customize_register_custom_controls( $wp_customize ) {
    get_template_part( 'vendor/require/proupgrade/takecare','sectionpro');
}
function takecare_customize_controls_js() {
    $theme = wp_get_theme();
    wp_enqueue_script( 'takecare-customizer-section-pro-jquery', get_template_directory_uri() . '/vendor/require/proupgrade/takecare-customize-controls.js', array( 'customize-controls' ), $theme->get( 'Version' ), true );
    wp_enqueue_style( 'takecare-customizer-section-pro', get_template_directory_uri() . '/vendor/require/proupgrade/takecare-customize-controls.css', $theme->get( 'Version' ) );
}
add_action( 'customize_controls_enqueue_scripts', 'takecare_customize_controls_js' );
?>
<?php
function takecare_enqueue_comments_reply() {
if( get_option( 'thread_comments' ) ) {
wp_enqueue_script( 'comment-reply' );
}
}
add_action( 'comment_form_before', 'takecare_enqueue_comments_reply' );
?>
<?php 
if ( ! function_exists( 'takecare_sanitize_page' ) ) :
    function takecare_sanitize_page( $page_id, $setting ) {
        // Ensure $input is an absolute integer.
        $page_id = absint( $page_id );
        // If $page_id is an ID of a published page, return it; otherwise, return the default.
        return ( 'publish' === get_post_status( $page_id ) ? $page_id : $setting->default );
    }

endif;
function takecare_customize_register($wp_customize){

    // Register custom section types.
    $wp_customize->register_section_type( 'takecare_Customize_Section_Pro' );

    // Register sections.
    $wp_customize->add_section( new takecare_Customize_Section_Pro(
        $wp_customize,
        'theme_go_pro',
        array(
            'priority' => 1,
            'title'    => esc_html__( 'TakeCare Pro', 'takecare' ),
            'pro_text' => esc_html__( 'Upgrade To Pro', 'takecare' ),
            'pro_url'  => 'https://themestulip.com/themes/takecare-medical-wordpress-theme/',
        )
    ) );

    //  =============================
    //  = slider section              =
    //  =============================
    $wp_customize->add_section('takecare_banner', array(
        'title'    => esc_html__('takecare Home Slider', 'takecare'),
        'description' => esc_html__('banner Size Should be ( 1600x750 ).','takecare'),
        'priority' => 36,
    ));
   
    $wp_customize->add_setting('banner1',array(
            'default'   => '0',         
            'capability' => 'edit_theme_options',
            'sanitize_callback' => 'takecare_sanitize_page'
    ));
    
    $wp_customize->add_control('banner1',array(
            'type'  => 'dropdown-pages',
            'label' => esc_html__('Select page for banner first:','takecare'),
            'section'   => 'takecare_banner'
    )); 

    $wp_customize->add_setting('banner2',array(
            'default'   => '0',         
            'capability' => 'edit_theme_options',
            'sanitize_callback' => 'takecare_sanitize_page'
    ));
    
    $wp_customize->add_control('banner2',array(
            'type'  => 'dropdown-pages',
            'label' => esc_html__('Select page for banner second:','takecare'),
            'section'   => 'takecare_banner'
    )); 

    $wp_customize->add_setting('banner3',array(
            'default'   => '0',         
            'capability' => 'edit_theme_options',
            'sanitize_callback' => 'takecare_sanitize_page'
    ));
    
    $wp_customize->add_control('banner3',array(
            'type'  => 'dropdown-pages',
            'label' => esc_html__('Select page for banner third:','takecare'),
            'section'   => 'takecare_banner'
    )); 
// Slider Read More Button Text
    $wp_customize->add_setting('slider_readmore',array(
            'default'   => null,
            'sanitize_callback' => 'sanitize_text_field'    
    ));
    
    $wp_customize->add_control('slider_readmore',array( 
            'type'  => 'text',
            'label' => esc_html__('Add slider Read more button name here','takecare'),
            'section'   => 'takecare_banner',
            'setting'   => 'slider_readmore'
    )); // Slider Read More Button Text

  //  =============================
    //  = Footer              =
    //  =============================

    $wp_customize->add_section('takecare_footer', array(
        'title'    => esc_html__('takecare Footer', 'takecare'),
        'description' => '',
        'priority' => 37,
    ));

	// Footer design and developed
	 $wp_customize->add_setting('takecare_design', array(
        'default'        => '',
		'sanitize_callback' => 'sanitize_textarea_field'
    ));
 
    $wp_customize->add_control('takecare_design', array(
        'label'      => esc_html__('Design and developed', 'takecare'),
        'section'    => 'takecare_footer',
        'setting'   => 'takecare_design',
		'type'	   =>'textarea'
    ));
	// Footer copyright
	 $wp_customize->add_setting('takecare_copyright', array(
        'default'        => '',
		'sanitize_callback' => 'sanitize_textarea_field'       
    ));
 
    $wp_customize->add_control('takecare_copyright', array(
        'label'      => esc_html__('Copyright', 'takecare'),
        'section'    => 'takecare_footer',
        'setting'   => 'takecare_copyright',
		'type'	   =>'textarea'
    ));	
}
add_action('customize_register', 'takecare_customize_register');
?>